### Method

# Gegl Color set_cmyk

#### Declaration [src]

    void
    gegl_color_set_cmyk (
      GeglColor* color,
      gdouble cyan,
      gdouble magenta,
      gdouble yellow,
      gdouble key,
      gdouble alpha,
      const Babl* space
    )

#### Description [src]

Set color as CMYK data stored as `space`. If `space` is `NULL`, this is equivalent to storing with the default naive CMYK space.

#### Parameters

`cyan`

  Type: `gdouble`

  Cyan value.

`magenta`

  Type: `gdouble`

  Magenta value.

`yellow`

  Type: `gdouble`

  Yellow value.

`key`

  Type: `gdouble`

  Key value.

`alpha`

  Type: `gdouble`

  Alpha value.

`space`

  Type: `Babl`

  CMYK space.

  The argument can be `NULL`.
  The data is owned by the caller of the function.